OpenVDB 5.1.0

Public Types | Public Member Functions | Public Attributes | List of all members
ConvertPointDataGridAttributeOp< PointDataTreeType, Attribute > Struct Template Reference

`#include <PointConversion.h>`

## Public Types
using | LeafNode = typename PointDataTreeType::LeafNodeType
using | ValueType = typename Attribute::ValueType
using | HandleT = typename ConversionTraits< ValueType >::Handle
using | LeafManagerT = typename tree::LeafManager< const PointDataTreeType >
using | LeafRangeT = typename LeafManagerT::LeafRange

## Public Member Functions
| ConvertPointDataGridAttributeOp (Attribute &attribute, const std::vector< Index64 > &pointOffsets, const Index64 startOffset, const size_t index, const Index stride=1, const std::vector< Name > &includeGroups=std::vector< Name >(), const std::vector< Name > &excludeGroups=std::vector< Name >(), const bool inCoreOnly=false)
void | operator() (const LeafRangeT &range) const

## Public Attributes
Attribute & | mAttribute
const std::vector< Index64 > & | mPointOffsets
const Index64 | mStartOffset
const size_t | mIndex
const Index | mStride
const std::vector< std::string > & | mIncludeGroups
const std::vector< std::string > & | mExcludeGroups
const bool | mInCoreOnly

## Member Typedef Documentation

## ◆ HandleT

using HandleT = typename ConversionTraits<ValueType>::Handle

## ◆ LeafManagerT

using LeafManagerT = typename tree::LeafManager<const PointDataTreeType>

## ◆ LeafNode

using LeafNode = typename PointDataTreeType::LeafNodeType

## ◆ LeafRangeT

using LeafRangeT = typename LeafManagerT::LeafRange

## ◆ ValueType

using ValueType = typename Attribute::ValueType

## Constructor & Destructor Documentation

## ◆ ConvertPointDataGridAttributeOp()

ConvertPointDataGridAttributeOp | ( | Attribute & | attribute,
|  | const std::vector< Index64 > & | pointOffsets,
|  | const Index64 | startOffset,
|  | const size_t | index,
|  | const Index | stride = `1`,
|  | const std::vector< Name > & | includeGroups = `std::vector<Name>()`,
|  | const std::vector< Name > & | excludeGroups = `std::vector<Name>()`,
|  | const bool | inCoreOnly = `false`
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const LeafRangeT & | range | ) | const
| inline

## Member Data Documentation

## ◆ mAttribute

Attribute& mAttribute

## ◆ mExcludeGroups

const std::vector<std::string>& mExcludeGroups

## ◆ mIncludeGroups

const std::vector<std::string>& mIncludeGroups

## ◆ mInCoreOnly

const bool mInCoreOnly

## ◆ mIndex

const size_t mIndex

## ◆ mPointOffsets

const std::vector<Index64>& mPointOffsets

## ◆ mStartOffset

const Index64 mStartOffset

## ◆ mStride

const Index mStride

The documentation for this struct was generated from the following file:

- PointConversion.h